<?php 
$wp_customize->add_section( 
    'service_area',
    array(
        'title'         => __( 'Services Section', 'luzuk' ),
        'panel'   => 'luzuk_premium_home_panel',
    )
);
$wp_customize->add_setting(
    'service_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'service_area_disable',
        array(
            'settings'      => 'service_area_disable',
            'section'       => 'service_area',
            'label'         => __( 'Disable Section', 'luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk' ),
                'off' => __( 'No', 'luzuk' )
            )   
        )
    )
);

backgroundManager($wp_customize, 'service', 'service_area', $color='#fff', get_template_directory_uri().'/images/default-img.jpg', 'img');

lzCustomLable($wp_customize, 'luzuk_sec_servicessectionpadding', 'service_area', 'Set Section Padding :');

$wp_customize->add_setting(
    'service_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '7em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'service_areaTpadding',
    array(
        'settings'      => 'service_areaTpadding',
        'section'       => 'service_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'service_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '7em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'service_areaBpadding',
    array(
        'settings'      => 'service_areaBpadding',
        'section'       => 'service_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'services_maintitle_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'services_maintitle_subtitle_heading',
        array(
            'settings'      => 'services_maintitle_subtitle_heading',
            'section'       => 'service_area',
            'label'         => __( 'Section Heading', 'luzuk' ),
        )
    )
);

$wp_customize->add_setting(
    'services_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '<span>OUR</span> SERVICES', 'luzuk' )
    )
);
$wp_customize->add_control(
    'services_maintitle',
    array(
        'settings'      => 'services_maintitle',
        'section'       => 'service_area', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk' )
    )
);  

addColorPalatOption($wp_customize, 'servicearea_sectitlespn_color', 'service_area', 'Span Heading Color ', '#000');
addColorPalatOption($wp_customize, 'servicearea_sectitle_color', 'service_area', 'Heading Color ', '#fff');
addColorPalatOption($wp_customize, 'servicearea_sectitlebg_color1', 'service_area', 'Heading BG Color 1 ', '#fff');
addColorPalatOption($wp_customize, 'servicearea_sectitlebg_color2', 'service_area', 'Heading BG Color 2 ', '#ff6f00');
addColorPalatOption($wp_customize, 'servicearea_sectitlebdr_color', 'service_area', 'Heading Border Color', '#ff6f00');

$wp_customize->add_setting('service_area_lbl2', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'service_area_lbl2',
        array(
            'settings'      => 'service_area_lbl2',
            'section'       => 'service_area',
            'label'         => __( 'Note2:', 'luzuk' ),  
            'description'   => __( 'Use Shortcode [SERVICES] to show all services in a page', 'luzuk' ),
        )
    )
);


$wp_customize->add_setting('service_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'service_npp_heading',
        array(
            'settings'      => 'service_npp_heading',
            'section'       => 'service_area',
            'label'         => __( 'Number Of Services To Show', 'luzuk' ),
        )
    )
);    
$wp_customize->add_setting('service_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
    'service_npp_count',
    array(
        'settings'      => 'service_npp_count',
        'section'       => 'service_area',
        'type'          => 'select',
        'label'         => __( 'Number Of Services To Show', 'luzuk' ),
        'choices'=>array(1,2,3,4,5,6,7,8)
    )
);

$ServicesSingleChoice[] = 'Select';

for( $i = 1; $i <= 8; $i++ ){
    $wp_customize->add_setting(
        'services_heading'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'services_heading'.$i,
            array(
                'settings'      => 'services_heading'.$i,
                'section'       => 'service_area',
                'label'         => __( 'Service ', 'luzuk' ).$i,
            )
        )
    );
    if(is_array($ServicesSingleChoice)){
        $wp_customize->add_setting(
            'services_page'.$i,
            array(
                'sanitize_callback' => 'absint'
            )
        );
        $wp_customize->add_control(
            'services_page'.$i,
            array(
                'settings'      => 'services_page'.$i,
                'section'       => 'service_area',
                'type'=> 'select',
                'label'         => __( 'Select A Service Box ', 'luzuk' ),
                'choices' => $ServicesSingleChoice,
            )
        );
    }else{
        $wp_customize->add_setting('service_area_lbl'.$i, array('sanitize_callback'=>'luzuk_sanitize_text'));
        $wp_customize->add_control(
            new luzuk_Info_Text( 
                $wp_customize,
                'service_area_lbl'.$i,
                array(
                    'settings'      => 'service_area_lbl'.$i,
                    'section'       => 'service_area',
                    'label'         => __( 'Note:', 'luzuk' ),    
                    'description'   => __( '<strong>Changes will not reflect unless you select the Service Page.</strong> <br/>Please add the Services from "Services menu" and then select Services to show information.', 'luzuk' ),
                )
            )
        );
    }
 
}

lzCustomLable($wp_customize, 'luzuk_sec_servicesclr', 'service_area', 'Section Color Setting');

addColorPalatOption($wp_customize, 'services_serviceimagelinkColor1', 'service_area', 'Image Overlay Color 1', '#fa9c53');
addColorPalatOption($wp_customize, 'services_serviceimagelinkColor2', 'service_area', 'Image Overlay Color 2', '#23301b');
addColorPalatOption($wp_customize, 'services_ServicePageTitleColor', 'service_area', 'Box Title Color ', '#fff');
addColorPalatOption($wp_customize, 'services_ServicePageTitlebgColor1', 'service_area', 'Box Title BG Color 1', '#FFA200');
addColorPalatOption($wp_customize, 'services_ServicePageTitlebgColor2', 'service_area', 'Box Title BG Color 2', '#FF6F00');
addColorPalatOption($wp_customize, 'services_SubttlColor', 'service_area', 'Box Text Color ', '#fff');

// lzCustomLable($wp_customize, 'luzuk_secser_sbtnclr', 'service_area', 'Section Button Setting');

// $wp_customize->add_setting(
//     'ser_button1',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( 'Learn More', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'ser_button1',
//     array(
//         'settings'      => 'ser_button1',
//         'section'       => 'service_area',
//         'type'          => 'text',
//         'label'         => __( 'Button Text', 'luzuk-premium' )
//     )
// );

// addColorPalatOption($wp_customize, 'services_btntext', 'service_area', 'Button Text Color', '#fff');
// addColorPalatOption($wp_customize, 'services_btntexthv', 'service_area', 'Button Text Hover Color', '#fff');
// addColorPalatOption($wp_customize, 'services_btnbg', 'service_area', 'Button BG Color', '#212831');
// addColorPalatOption($wp_customize, 'services_btnbghv', 'service_area', 'Button BG Hover Color', '#ffa62e');
// addColorPalatOption($wp_customize, 'services_btnbdrhv', 'service_area', 'Button Border Hover Color', '#212831');